# Adapt Animation Frame

**Display any HTML5-based responsive animation into your Adapt Learning course**

 <p>This component displays HTML5-based animations built with commercial animation editors like Adobe AnimateCC.</p>
 <p>The component supports any animation created with desktop or online editors exporting animations 
 to a single HTML5 file, or OAM package (Adobe AnimateCC).</p>
 <p>The Animation Frame component also follows Adapt responsive design rules, resizing 
  the animation hosting box according to them.<p>
  
**How to install**

<ol>
 <li><a href="https://github.com/fabiobeoni/adapt-animation-frame/archive/master.zip">download the responsive Adapt Animation Frame</a> plugin component</li>
 <li>go to your Adapt Authoring Tool, in the main menu select "Plugins Management / Upload Plugin"</li>
 <li>select the downloaded zip file</li>
</ol>

<p>If you have any trouble while installing, please feel free to contact me.</p>

**How to use**
<ol>
    <li>Export an animation from your favourite editor as a single HTML5 file (for Adobe Animate CC see: https://helpx.adobe.com/animate/using/OAM-publishing.html)</li>
    <li>Add the animation file to the Adapt Assets Library</li>
    <li>In your course page and block, add a new Animation Frame component</li>
    <li>Select the animation file from the assets</li>
    <li>Set the height of the animation frame according to the responsive options available</li>
</ol>

<p>Please remenber to make you animation scalable for both width and height when you design it with your editor, to make sure it will adjust properly to different devices.</p>

**Note about importing OAM packages from Adobe AnimateCC**

<p>By deafult this component for Adapt supports any HTML5 animation based on a single page file.</p>
<p>To import OAM packages (multi file animation including images/videos/audios/etc) from Adobe AnimateCC, you also need to install
the backend plugin "Animation Asset Unpack" for Adapt AT.</p>

**License**
<p>This component is free under the <a href="LICENSE">Creative Commons licence agreement "Attribution-NoDerivatives 4.0 International (CC BY-ND 4.0)"</a>.</p>

**Support the development**
<p>If you like this component please consider to support the development of new components.</p>
<p>If you are interested, I'm <a href="https://it.linkedin.com/in/fabio-beoni-6a7848101">available for hire</a> to develop custom components for AdaptLearning courses.</p>

----------------------------
**Version number:**  1.1.0
**Adapt Framework versions:**  >= 2.0
**Author:** <a href="https://it.linkedin.com/in/fabio-beoni-6a7848101" target="_blanck">Fabio Beoni</a>
